org.codehaus.groovy.runtime

## Class WritableFile

- java.lang.Object
- - java.io.File
  - - org.codehaus.groovy.runtime.WritableFile

All Implemented Interfaces:
  Writable, java.io.Serializable, java.lang.Comparable<java.io.File>

    public class WritableFile
    extends java.io.File
    implements Writable

A Writable File.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.io.File

`pathSeparator, pathSeparatorChar, separator, separatorChar`

### Constructor Summary

Constructors
Constructor and Description
`WritableFile(java.io.File delegate)`
`WritableFile(java.io.File delegate, java.lang.String encoding)`

### Method Summary

Methods
`java.io.Writer` `writeTo(java.io.Writer out)` Writes this object to the given writer.

### Methods inherited from class java.io.File

`canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toPath, toString, toURI, toURL`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WritableFile

    public WritableFile(java.io.File delegate)

#### WritableFile

    public WritableFile(java.io.File delegate,
                java.lang.String encoding)

### Method Detail

#### writeTo

    public java.io.Writer writeTo(java.io.Writer out)
                           throws java.io.IOException

Description copied from interface: `Writable`

Writes this object to the given writer.

This is used to defer content creation until the point when it is streamed to the output destination. Oftentimes, content will be defined but not necessarily created (as is may be the case with a Closure definition.) In that case, the output is then 'deferred' to the point when it is serialized to the writer. This class may be used whenever an object should be responsible for creating its own textual representation, but creating the entire output as a single String would be inefficient (such as outputting a multi-gigabyte XML document.)

Specified by:
  `writeTo` in interface `Writable`
Parameters:
  `out` - the Writer to which this Writable should output its data.
Returns:
  the Writer that was passed
Throws:
  `java.io.IOException` - if an error occurred while outputting data to the writer